org.wildfly.swarm.config.datasources

## Class JDBCDriver<T extends JDBCDriver<T>>

- java.lang.Object
- - org.wildfly.swarm.config.datasources.JDBCDriver<T>

-     public class JDBCDriver<T extends JDBCDriver<T>>
      extends Object

  Service that make a JDBC driver available for use in the runtime

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDBCDriver(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `deploymentName()` The name of the deployment unit from which the driver was loaded
    `T` | `deploymentName(String value)` The name of the deployment unit from which the driver was loaded
    `String` | `driverClassName()` The fully qualified class name of the java.sql.Driver implementation
    `T` | `driverClassName(String value)` The fully qualified class name of the java.sql.Driver implementation
    `String` | `driverDatasourceClassName()` The fully qualified class name of the javax.sql.DataSource implementation
    `T` | `driverDatasourceClassName(String value)` The fully qualified class name of the javax.sql.DataSource implementation
    `Integer` | `driverMajorVersion()` The driver's major version number
    `T` | `driverMajorVersion(Integer value)` The driver's major version number
    `Integer` | `driverMinorVersion()` The driver's minor version number
    `T` | `driverMinorVersion(Integer value)` The driver's minor version number
    `String` | `driverModuleName()` The name of the module from which the driver was loaded, if it was loaded from the module path
    `T` | `driverModuleName(String value)` The name of the module from which the driver was loaded, if it was loaded from the module path
    `String` | `driverName()` Defines the JDBC driver the datasource should use.
    `T` | `driverName(String value)` Defines the JDBC driver the datasource should use.
    `String` | `driverXaDatasourceClassName()` The fully qualified class name of the javax.sql.XADataSource implementation
    `T` | `driverXaDatasourceClassName(String value)` The fully qualified class name of the javax.sql.XADataSource implementation
    `String` | `getKey()`
    `Boolean` | `jdbcCompliant()` Whether or not the driver is JDBC compliant
    `T` | `jdbcCompliant(Boolean value)` Whether or not the driver is JDBC compliant
    `String` | `moduleSlot()` The slot of the module from which the driver was loaded, if it was loaded from the module path
    `T` | `moduleSlot(String value)` The slot of the module from which the driver was loaded, if it was loaded from the module path
    `String` | `profile()` Domain Profile in which driver is defined.
    `T` | `profile(String value)` Domain Profile in which driver is defined.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `xaDatasourceClass()` XA datasource class
    `T` | `xaDatasourceClass(String value)` XA datasource class

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JDBCDriver

          public JDBCDriver(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### deploymentName

          public String deploymentName()

      The name of the deployment unit from which the driver was loaded

    - #### deploymentName

          public T deploymentName(String value)

      The name of the deployment unit from which the driver was loaded

    - #### driverClassName

          public String driverClassName()

      The fully qualified class name of the java.sql.Driver implementation

    - #### driverClassName

          public T driverClassName(String value)

      The fully qualified class name of the java.sql.Driver implementation

    - #### driverDatasourceClassName

          public String driverDatasourceClassName()

      The fully qualified class name of the javax.sql.DataSource implementation

    - #### driverDatasourceClassName

          public T driverDatasourceClassName(String value)

      The fully qualified class name of the javax.sql.DataSource implementation

    - #### driverMajorVersion

          public Integer driverMajorVersion()

      The driver's major version number

    - #### driverMajorVersion

          public T driverMajorVersion(Integer value)

      The driver's major version number

    - #### driverMinorVersion

          public Integer driverMinorVersion()

      The driver's minor version number

    - #### driverMinorVersion

          public T driverMinorVersion(Integer value)

      The driver's minor version number

    - #### driverModuleName

          public String driverModuleName()

      The name of the module from which the driver was loaded, if it was loaded from the module path

    - #### driverModuleName

          public T driverModuleName(String value)

      The name of the module from which the driver was loaded, if it was loaded from the module path

    - #### driverName

          public String driverName()

      Defines the JDBC driver the datasource should use. It is a symbolic name matching the the name of installed driver. In case the driver is deployed as jar, the name is the name of deployment unit

    - #### driverName

          public T driverName(String value)

      Defines the JDBC driver the datasource should use. It is a symbolic name matching the the name of installed driver. In case the driver is deployed as jar, the name is the name of deployment unit

    - #### driverXaDatasourceClassName

          public String driverXaDatasourceClassName()

      The fully qualified class name of the javax.sql.XADataSource implementation

    - #### driverXaDatasourceClassName

          public T driverXaDatasourceClassName(String value)

      The fully qualified class name of the javax.sql.XADataSource implementation

    - #### jdbcCompliant

          public Boolean jdbcCompliant()

      Whether or not the driver is JDBC compliant

    - #### jdbcCompliant

          public T jdbcCompliant(Boolean value)

      Whether or not the driver is JDBC compliant

    - #### moduleSlot

          public String moduleSlot()

      The slot of the module from which the driver was loaded, if it was loaded from the module path

    - #### moduleSlot

          public T moduleSlot(String value)

      The slot of the module from which the driver was loaded, if it was loaded from the module path

    - #### profile

          public String profile()

      Domain Profile in which driver is defined. Null in case of standalone server

    - #### profile

          public T profile(String value)

      Domain Profile in which driver is defined. Null in case of standalone server

    - #### xaDatasourceClass

          public String xaDatasourceClass()

      XA datasource class

    - #### xaDatasourceClass

          public T xaDatasourceClass(String value)

      XA datasource class

Copyright © 2018 JBoss by Red Hat. All rights reserved.